package com.pj.api;

import org.springframework.stereotype.Component;

import cn.dev33.satoken.id.SaIdUtil;
import feign.RequestInterceptor;
import feign.RequestTemplate;

/**
 * feign拦截器, 在feign请求发出之前，加入一些操作
 * 
 * @author kong
 *
 */
@Component
public class FeignInterceptor implements RequestInterceptor {
	
	/**
	 * 为 Feign 的 RCP调用 添加请求头Id-Token ，否则无法通过请求验证 
	 */
	@Override
	public void apply(RequestTemplate requestTemplate) {
//		System.out.println("------------------------");
		requestTemplate.header(SaIdUtil.ID_TOKEN, SaIdUtil.getToken());
	}
	
}
