package com.pj;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.pj.current.SpCloudUtil;

/**
 * 启动类
 * @author kong
 */
@EnableCaching // 启用缓存
@EnableScheduling // 启动定时任务
@SpringBootApplication // springboot本尊
@EnableTransactionManagement // 启动注解事务管理
@EnableFeignClients		// 启用Feign实现RPC调用 
public class SpHomeApplication {
	
	public static void main(String[] args) {
		SpringApplication.run(SpHomeApplication.class); 
		SpCloudUtil.printCurrentServiceInfo(); 
	}

}
